Summary:	Documentation for the BOUML tool
Name:		bouml-doc
Version:	4.8.3
Release:	1
License:	GPLv2+
Group:		Documentation
URL:		http://bouml.free.fr
Source0:	http://bouml.free.fr/doc%{version}.tar.gz
Source1:	http://bouml.free.fr/doc%{version}_A4.pdf
Source2:	http://bouml.free.fr/doc%{version}_letter.pdf

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch

%description
Documentation for the BOUML tool provided in HTML and PDF formats.

%prep
%setup -q -n doc

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p ./html
mkdir -p ./pdf

# Reorganizing HTML.
mv ./*.html ./html
mv ./blurulr6.gif ./html
mv ./blurulr6.png ./html
mv ./empty_html ./html
mv ./figs ./html

# Reorganizing PDF.
cp -p %{SOURCE1} ./pdf
cp -p %{SOURCE2} ./pdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc html
%doc pdf

%changelog
* Mon Dec 15 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.8.3-1
- Version bump to 4.8.3. Closes Red Hat Bugzilla bug #472415.

* Mon Jun 16 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.3.2-1
- Version bump to 4.3.2. Closes Red Hat Bugzilla bug #445559.

* Sun Mar 30 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.2-1
- Version bump to 4.2. Closes Red Hat Bugzilla bug #434288.

* Thu Jan 31 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4-1
- Version bump to 3.4. Closes Red Hat Bugzilla bug #426747.

* Mon Nov 26 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.0-2
- Removed dist tag.
- Removed 'Requires: bouml ...'.

* Wed Nov 21 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.0-1
- Version bump to 3.0. Closes Red Hat Bugzilla bug #325391.

* Sun Aug 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30-3
- Added 'mkdir -p $RPM_BUILD_ROOT' in install stanza.

* Sun Aug 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30-2
- Added a build stanza.
- Changed value of License according to Fedora licensing guidelines.

* Thu Aug 09 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30-1
- Version bump to 2.30.

* Wed Aug 01 2007 Debarshi Ray <rishi@fedoraproject.org> - 0-0.3.date20070520
- Fixed directory ownership issues in files stanza.

* Wed Aug 01 2007 Debarshi Ray <rishi@fedoraproject.org> - 0-0.2.date20070520
- Using 'cp -p ...' to preserve timestamps.
- Removed version-release suffix from documentation directory.

* Tue Jul 31 2007 Debarshi Ray <rishi@fedoraproject.org> - 0-0.1.date20070520
- Changed version-release to 0-0.1.date20070520.
- Fixed 'Requires' to accept all BOUML releases from 2.26.2 onwards.

* Fri Jul 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-1
- Initial build.
